#include <iostream>
#include <algorithm>

using namespace std;

long long a,b,c,d,i,l,m,n,x[500000],y[500000],s;

int main()
{
    cin>>n>>m;

    for(i=0;i<m;i++)
    {
        cin>>x[i];
    }
    sort(x,x+m);
    c=1;
    for(i=1;i<=m;i++)
    {
        if(x[i]==x[i-1])
        {
            c++;
        }
        else
        {
            if(c>=n)
            {
                y[s]=x[i-1];
                s++;
            }
            c=1;
        }
    }
    cout<<s<<"\n";
    for(i=0;i<s;i++)
    {
        cout<<y[i]<<" ";
    }
    cout<<"\n";
    return 0;
}
